VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCustomers

Get products consumptions by customer id

Use this endpoint to get the products consumptions by the customer id.

GET
/customers/products-consumptions/{customerId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/products-consumptions/string"
{  "productsConsumptions": [    {      "productId": "string",      "productName": "Vayu Product",      "provisionedAmount": 10,      "consumedAmount": 10,      "usagePercentage": 0,      "hasAccess": true,      "remainingAmount": 10,      "exceededAmount": 10    }  ]}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}